Bug 245544 - devel/p5-Test-MockObject: Update to 1.20200122
Summary: devel/p5-Test-MockObject: Update to 1.20200122
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jun Kuriyama
URL: https://metacpan.org/release/Test-Moc...
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-04-11 21:42 UTC by Sergei Vyshenski
Modified: 2020-08-15 20:21 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch to update the port (1.38 KB, patch)
2020-04-11 21:42 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-04-11 21:42:22 UTC
Created attachment 213303 [details]
patch to update the port

- update 1.20150527_1 -> 1.20200122
Changes: https://metacpan.org/changes/distribution/Test-MockObject
- add LICENSE_FILE
- take maintainership as Jun Kuriyama is absent for 4+ years, see:
https://svnweb.freebsd.org/ports/head/devel/p5-Test-MockObject/Makefile?view=log

- "portlint -AC" gives non-relevant warns.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.2
ssl=base
- built-in perl tests in a clean poudriere jail say PASS.
Comment 1 Automation User 2020-04-26 00:21:46 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/139888138
Comment 2 commit-hook freebsd_committer 2020-08-15 20:21:07 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 20:20:26 UTC 2020
New revision: 545064
URL: https://svnweb.freebsd.org/changeset/ports/545064

Log:
  devel/p5-Test-MockObject: Update to 1.20200122

  PR:		245544
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	maintainer timeout (kuriyama, >2 months)

Changes:
  head/devel/p5-Test-MockObject/Makefile
  head/devel/p5-Test-MockObject/distinfo
Comment 3 Steve Wills freebsd_committer 2020-08-15 20:21:34 UTC
Committed, thanks!